Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler Class Reference

Handler for a single sort clause. More...

Inheritance diagram for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler:

## Public Member Functions
| __construct (DatabaseHandler $dbHandler)
| Creates a new sort clause handler. More...
| accept (SortClause $sortClause)
| Check if this sort clause handler accepts to handle the given sort clause. More...
| applySelect (SelectQuery $query, SortClause $sortClause, $number)
| Apply selects to the query. More...
| applyJoin (SelectQuery $query, SortClause $sortClause, $number, array $languageSettings)
| Applies joins to the query. More...

## Protected Member Functions
| getSortColumnName ($number)
| Returns the quoted sort column name. More...
| getSortTableName ($number, $externalTableName=null)
| Returns the sort table name. More...

## Protected Attributes
| $dbHandler

## Detailed Description

Handler for a single sort clause.

Definition at line 16 of file SortClauseHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::__construct | ( | DatabaseHandler | $dbHandler | ) |

Creates a new sort clause handler.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $dbHandler |

Definition at line 32 of file SortClauseHandler.php.

References eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\$dbHandler.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::accept | ( | SortClause | $sortClause | ) |
| abstract

Check if this sort clause handler accepts to handle the given sort clause.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |

Returns
  bool

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Visibility, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Priority, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Path, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\IsMainLocation, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Id, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Depth, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\SectionName, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\SectionIdentifier, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\MapLocationDistance, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DatePublished, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DateModified, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\ContentName, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\ContentId.

## ◆ applyJoin()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::applyJoin | ( | SelectQuery | $query,
|  | SortClause | $sortClause,
|  |  | $number,
|  | array | $languageSettings
| ) |  |

Applies joins to the query.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |
  int | $number |
  array | $languageSettings |

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\SectionName.

Definition at line 68 of file SortClauseHandler.php.

## ◆ applySelect()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::applySelect | ( | SelectQuery | $query,
|  | SortClause | $sortClause,
|  |  | $number
| ) |  |
| abstract

Apply selects to the query.

Returns the name of the (aliased) column, which information should be used for sorting.

Parameters

  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\Content\Query\SortClause | $sortClause |
  int | $number |

Returns
  string

Reimplemented in eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Visibility, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Priority, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Path, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\IsMainLocation, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Id, eZ\Publish\Core\Search\Legacy\Content\Location\Gateway\SortClauseHandler\Location\Depth, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\SectionName, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\SectionIdentifier, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DatePublished, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\DateModified, eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\ContentName, and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\ContentId.

## ◆ getSortColumnName()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::getSortColumnName | ( |  | $number | ) |
| protected

Returns the quoted sort column name.

Parameters

  int | $number |

Returns
  string

Definition at line 83 of file SortClauseHandler.php.

## ◆ getSortTableName()

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::getSortTableName | ( |  | $number,
|  |  | $externalTableName = `null`
| ) |  |
| protected

Returns the sort table name.

Parameters

  int | $number |
  string | null | $externalTableName |

Returns
  string

Definition at line 96 of file SortClauseHandler.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\SectionName\applyJoin().

## Member Data Documentation

## ◆ $dbHandler

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler::$dbHandler
| protected

Definition at line 25 of file SortClauseHandler.php.

Referenced by eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\__construct(), and eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\SortClauseHandler\Field\__construct().

The documentation for this class was generated from the following file:

- SortClauseHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.